define("tiny_poodll/base_recorder",["exports","core/log","./options","core/modal_factory","core/templates","core/prefetch","./modal","core/modal_registry","tiny_poodll/history","./common"],(function(_exports,_log,_options,ModalFactory,Templates,_prefetch,_modal,_modal_registry,_history,_common){function _getRequireWildcardCache(nodeInterop){if("function"!=typeof WeakMap)return null;var cacheBabelInterop=new WeakMap,cacheNodeInterop=new WeakMap;return(_getRequireWildcardCache=function(nodeInterop){return nodeInterop?cacheNodeInterop:cacheBabelInterop})(nodeInterop)}function _interopRequireWildcard(obj,nodeInterop){if(!nodeInterop&&obj&&obj.__esModule)return obj;if(null===obj||"object"!=typeof obj&&"function"!=typeof obj)return{default:obj};var cache=_getRequireWildcardCache(nodeInterop);if(cache&&cache.has(obj))return cache.get(obj);var newObj={},hasPropertyDescriptor=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var key in obj)if("default"!==key&&Object.prototype.hasOwnProperty.call(obj,key)){var desc=hasPropertyDescriptor?Object.getOwnPropertyDescriptor(obj,key):null;desc&&(desc.get||desc.set)?Object.defineProperty(newObj,key,desc):newObj[key]=obj[key]}return newObj.default=obj,cache&&cache.set(obj,newObj),newObj}function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _defineProperty(obj,key,value){return key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0,_log=_interopRequireDefault(_log),ModalFactory=_interopRequireWildcard(ModalFactory),Templates=_interopRequireWildcard(Templates),_modal=_interopRequireDefault(_modal),_modal_registry=_interopRequireDefault(_modal_registry),_history=_interopRequireDefault(_history);return _exports.default=class{constructor(editor,elementid,modal,config){this.ready=!1,this.editor=editor,this.elementid=elementid,this.config=config,this.modal=modal,this.modalRoot=modal.getRoot()[0],this.registerEvents(),this.ready=!0}fetchMediaTags(){throw new Error("fetchMediaTags() must be implemented in ".concat(this.constructor.name))}close(){this.modal.hide()}getElement(component){return this.modalRoot.querySelector("#"+this.elementid+"_"+component)}registerEvents(){var that=this;const root=this.modal.getRoot()[0],recorders=root.querySelectorAll("."+_common.CSS.CP_SWAP);root.addEventListener("click",(e=>{const cbox=e.target.closest('[type="checkbox"]');switch(_log.default.debug(e.target.id),e.target.id){case that.elementid+"_"+_common.CSS.SUBTITLE_CHECKBOX:cbox.checked?(recorders.forEach((recorder=>{recorder.setAttribute("data-transcribe","1"),recorder.setAttribute("data-subtitle","1"),recorder.setAttribute("data-alreadyparsed","false"),recorder.innerHTML=""})),that.config.subtitling=!0):(recorders.forEach((recorder=>{recorder.setAttribute("data-transcribe","0"),recorder.setAttribute("data-subtitle","0"),recorder.setAttribute("data-alreadyparsed","false"),recorder.innerHTML=""})),that.config.subtitling=!1),that.loadRecorders();break;case that.elementid+"_"+_common.CSS.MEDIAINSERT_CHECKBOX:cbox.checked?that.config.insertmethod=_common.INSERTMETHOD.TAGS:that.config.insertmethod=_common.INSERTMETHOD.LINK}})),root.addEventListener("change",(e=>{const dropdown=e.target;if(dropdown)switch(dropdown.id){case that.elementid+"_"+_common.CSS.LANG_SELECT:that.config.CP.language=dropdown.get("value"),recorders.forEach((recorder=>{recorder.setAttribute("data-language",that.config.CP.language),recorder.setAttribute("data-alreadyparsed","false"),recorder.innerHTML=""})),that.loadRecorders();break;case that.elementid+"_"+_common.CSS.EXPIREDAYS_SELECT:recorders.forEach((recorder=>{recorder.setAttribute("data-expiredays",that.config.CP.expiredays),recorder.setAttribute("data-alreadyparsed","false"),recorder.innerHTML=""})),that.loadRecorders()}}))}initHistory(){this.history=new _history.default(this)}loadRecorders(){var that=this;_log.default.debug("loading recorders"),that.uploaded=!1,that.ap_count=0,require(["tiny_poodll/cloudpoodllloader"],(function(loader){loader.init(_common.CSS.CP_SWAP,(function(evt){switch(evt.type){case"recording":if("started"===evt.action){var subtitlecheckbox=that.getElement(_common.CSS.SUBTITLE_CHECKBOX);null!==subtitlecheckbox&&(subtitlecheckbox.disabled=!0)}break;case"awaitingprocessing":that.uploaded||(setTimeout((function(){var guessed_ext=loader.fetch_guessed_extension(that.recorder),sourcefilename=evt.sourcefilename.split(".").slice(0,-1).join(".")+"."+guessed_ext,sourceurl=evt.s3root+sourcefilename;_log.default.debug("saving history item"),that.history.saveHistoryItem(evt.mediaurl,evt.mediafilename,sourceurl,evt.sourcemimetype).then((function(){_log.default.debug("ajax SAVED history item")})),that.doInsert(evt.mediaurl,evt.mediafilename,sourceurl,evt.sourcemimetype)}),4e3),that.uploaded=!0);break;case"filesubmitted":break;case"error":alert("PROBLEM:"+evt.message)}}))}))}fetchMediaLink(mediaurl,mediafilename,sourceurl,sourcemimetype){var context={};return context.url=mediaurl,context.name=mediafilename,context.issubtitling=this.config.subtitling&&"0"!==this.config.subtitling,context.includesourcetrack=this.config.transcoding&&mediaurl!==sourceurl&&"wav"!==sourceurl.slice(-3)&&!1!==sourceurl,context.CP=this.config.CP,context.subtitleurl=mediaurl+".vtt",context.sourceurl=sourceurl,context.sourcemimetype=sourcemimetype,Templates.renderForPromise("tiny_poodll/medialink",context)}doInsert(mediaurl,mediafilename,sourceurl,sourcemimetype){var that=this;switch(this.config.insertmethod){case _common.INSERTMETHOD.TAGS:this.fetchMediaTags(mediaurl,mediafilename,sourceurl,sourcemimetype).then((function(insert){_log.default.debug("inserting into editor"),that.editor.insertContent(insert.html),that.close()}));break;case _common.INSERTMETHOD.LINK:default:this.fetchMediaLink(mediaurl,mediafilename,sourceurl,sourcemimetype).then((function(insert){_log.default.debug("inserting into editor"),_log.default.debug(insert.html),that.editor.insertContent(insert.html),that.close()}))}}static generateRandomString(){for(var characters="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",result="",i=0;i<8;i++){var randomIndex=Math.floor(Math.random()*characters.length);result+=characters.charAt(randomIndex)}return result}static getModalClass(){var _class;const modalType="".concat(_common.component,"/media_recorder"),registration=_modal_registry.default.get(modalType);if(registration)return registration.module;const MediaModal=(_defineProperty(_class=class extends _modal.default{},"TYPE",modalType),_defineProperty(_class,"TEMPLATE","".concat(_common.component,"/recorders")),_class);return _modal_registry.default.register(MediaModal.TYPE,MediaModal,MediaModal.TEMPLATE),MediaModal}static getModalContext(editor){var context={},config=(0,_options.getConfig)(editor);return _log.default.debug(config),context.CSS=_common.CSS,context.insertmethod=config.insertmethod,context.subtitleaudiobydefault=config.subtitleaudiobydefault,context.subtitlevideobydefault=config.subtitlevideobydefault,context.transcoding="1"==config.cp_transcode,context.filetitledisplaylength=config.filetitle_displaylength,context.showhistory="1"==config.showhistory,context.showupload="1"==config.showupload,context.showoptions="1"==config.showoptions,context.showexpiredays="1"==config.showexpiredays,context.cansubtitle=config.cp_cansubtitle,context.CP={},context.CP.parent=M.cfg.wwwroot,context.CP.appid="tiny_poodll",context.CP.token=config.cp_token,context.CP.region=config.cp_region,context.CP.owner=config.cp_owner,context.CP.expiredays=config.cp_expiredays,context.CP.cansubtitle=config.cp_cansubtitle,context.CP.language=config.cp_language,context.CP.transcode=config.cp_transcode,context.CP.audioskin=config.cp_audioskin,context.CP.videoskin=config.cp_videoskin,context.CP.fallback=config.fallback,context.CP.sizes=this.fetchRecorderDimensions(config),context["expire_"+config.cp_expiredays]=!0,context["lang_"+config.cp_language]=!0,context}static async display(editor){const ModalClass=this.getModalClass(),templatecontext=this.getModalContext(editor),elementid=this.generateRandomString();templatecontext.elementid=elementid;const modal=await ModalFactory.create({type:ModalClass.TYPE,templateContext:templatecontext,large:!0}),recorder=new this(editor,elementid,modal,templatecontext);return recorder.loadRecorders(),recorder.initHistory(),modal.show(),modal}},_exports.default}));

//# sourceMappingURL=base_recorder.min.js.map